felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Savage (JIRA)" <j...@apache.org>
Subject [jira] Updated: (FELIX-1366) Bundle classpath should verify that internal bundle classpath elements actually exist inside bundle before adding them to eclipse classpath
Date Thu, 16 Jul 2009 09:18:14 GMT

     [ https://issues.apache.org/jira/browse/FELIX-1366?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

David Savage updated FELIX-1366:
--------------------------------

    Description: 
Consider the following bundle from eclipse:

$ unzip -p bldcommon/lib/org.eclipse.ui.workbench_3.4.1.M20080827-0800a.jar META-INF/MANIFEST.MF
| grep jar
Bundle-ClassPath: compatibility.jar,.

It claims to have an internal compatability jar inside it. But analysis shows otherwise

$ jar -tf bldcommon/lib/org.eclipse.ui.workbench_3.4.1.M20080827-0800a.jar | grep jar
$

This leads to the error:

Description	Resource	Path	Location	Type
Project 'org.cauldron.sigil.core' is missing required library: '/opt/development/eclipse/workspace/sigil-apache/.metadata/.plugins/org.cauldron.sigil.core/bundle-cache/org.eclipse.ui.workbench_version_3.4.1.M20080827-0800a/compatibility.jar'
org.cauldron.sigil.core		Build path	Build Path Problem

Would be better to silently discard.

  was:
Consider the following bundle from eclipse:

$ unzip -p bldcommon/lib/org.eclipse.ui.workbench_3.4.1.M20080827-0800a.jar META-INF/MANIFEST.MF
| grep jar
Bundle-ClassPath: compatibility.jar,.

It claims to have an internal compatability jar inside it. But analysis shows otherwise

$ jar -tf bldcommon/lib/org.eclipse.ui.workbench_3.4.1.M20080827-0800a.jar | grep jar
$

Would be better to silently discard.


> Bundle classpath should verify that internal bundle classpath elements actually exist
inside bundle before adding them to eclipse classpath
> -------------------------------------------------------------------------------------------------------------------------------------------
>
>                 Key: FELIX-1366
>                 URL: https://issues.apache.org/jira/browse/FELIX-1366
>             Project: Felix
>          Issue Type: Bug
>          Components: Sigil
>            Reporter: David Savage
>            Priority: Minor
>
> Consider the following bundle from eclipse:
> $ unzip -p bldcommon/lib/org.eclipse.ui.workbench_3.4.1.M20080827-0800a.jar META-INF/MANIFEST.MF
| grep jar
> Bundle-ClassPath: compatibility.jar,.
> It claims to have an internal compatability jar inside it. But analysis shows otherwise
> $ jar -tf bldcommon/lib/org.eclipse.ui.workbench_3.4.1.M20080827-0800a.jar | grep jar
> $
> This leads to the error:
> Description	Resource	Path	Location	Type
> Project 'org.cauldron.sigil.core' is missing required library: '/opt/development/eclipse/workspace/sigil-apache/.metadata/.plugins/org.cauldron.sigil.core/bundle-cache/org.eclipse.ui.workbench_version_3.4.1.M20080827-0800a/compatibility.jar'
org.cauldron.sigil.core		Build path	Build Path Problem
> Would be better to silently discard.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message